Release a number
curl --request DELETE \
--url https://api.pyai.com/v1/telephony/numbers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "telephony.number",
"id": "pn_...",
"phone_number": "+14155550123",
"country": "US",
"area_code": "415",
"capabilities": {
"voice": true,
"sms": true
},
"agent_id": "<string>",
"recording": true,
"monthly_cost_cents": 123,
"created_at": 123,
"released_at": 123
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Telephony
Release a number
Release the managed number (stops the monthly rental). Idempotent. Requires the telephony:manage scope.
DELETE
/
v1
/
telephony
/
numbers
/
{id}
Release a number
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Path Parameters
Response
Released
Example:
"telephony.number"
Example:
"pn_..."
E.164.
Example:
"+14155550123"
Example:
"US"
Example:
"415"
Show child attributes
Show child attributes
Agent that answers inbound calls to this number.
Whether PyAI recording is enabled for the number.
Available options:
active, released Unix ms.
Unix ms.
⌘I